DBusUserInfo Struct Reference
D-Bus secret internal implementation details » UNIX-specific internal API

Information about a UNIX user. More...

`#include <dbus-sysdeps-unix.h>`

## Data Fields

size_t | refcount
| Reference count.
dbus_uid_t | uid
| UID.
dbus_gid_t | primary_gid
| GID.
dbus_gid_t * | group_ids
| Groups IDs, including above primary group.
int | n_group_ids
| Size of group IDs array.
char * | username
| Username.
char * | homedir
| Home directory.

## Detailed Description

Information about a UNIX user.

Definition at line 92 of file dbus-sysdeps-unix.h.

## Field Documentation

## group_ids

dbus_gid_t* DBusUserInfo::group_ids

Groups IDs, including above primary group.

Definition at line 97 of file dbus-sysdeps-unix.h.

Referenced by _dbus_groups_from_uid(), and _dbus_user_info_free().

## homedir

char* DBusUserInfo::homedir

Home directory.

Definition at line 100 of file dbus-sysdeps-unix.h.

Referenced by _dbus_homedir_from_uid(), and _dbus_user_info_free().

## n_group_ids

int DBusUserInfo::n_group_ids

Size of group IDs array.

Definition at line 98 of file dbus-sysdeps-unix.h.

Referenced by _dbus_groups_from_uid().

## primary_gid

dbus_gid_t DBusUserInfo::primary_gid

GID.

Definition at line 96 of file dbus-sysdeps-unix.h.

Referenced by _dbus_get_user_id_and_primary_group().

## refcount

size_t DBusUserInfo::refcount

Reference count.

Definition at line 94 of file dbus-sysdeps-unix.h.

Referenced by _dbus_user_database_lookup(), and _dbus_user_info_unref().

## uid

dbus_uid_t DBusUserInfo::uid

UID.

Definition at line 95 of file dbus-sysdeps-unix.h.

Referenced by _dbus_credentials_add_from_user(), _dbus_get_user_id_and_primary_group(), _dbus_groups_from_uid(), and _dbus_user_database_lookup().

## username

char* DBusUserInfo::username

Username.

Definition at line 99 of file dbus-sysdeps-unix.h.

Referenced by _dbus_user_database_lookup(), and _dbus_user_info_free().

The documentation for this struct was generated from the following file:

- dbus-sysdeps-unix.h